﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.Phone.Wallet;
using ContosoTransit.WP8App.Models;

namespace ContosoTransit.WP8App
{
    public partial class CardPage : PhoneApplicationPage
    {
        public CardPage()
        {
            InitializeComponent();
        }

        CardPageViewModel model;

        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            WalletTransactionItem loyaltyCard = Wallet.FindItem("LoyaltyCard") as WalletTransactionItem;
            model = new CardPageViewModel
            {
                LoyaltyCard = loyaltyCard,
                Deals = new List<Deal>()
            };

            WalletItemCollection allItems = await Wallet.GetItemsAsync();
            foreach (var item in allItems)
            {
                Deal deal = item as Deal;
                if (deal != null)
                    model.Deals.Add(deal);
            }
            
            this.DataContext = model;
        }
    }
}